Subject: Re: [bitcoin-dev] [BIP] Stratum protocol specification

From: Sergio Demian Lerner <[email-masked]>
Date: Mon, 12 Feb 2018 21:54:00 -0300

When we worked on the extensions for RSK merge mining, I prepared an
internal document with the most up to date Straum protocol description I
could get.

This is the document:

https://docs.google.com/document/d/1ocEC8OdFYrvglyXbag1yi8WoskaZoYuR5HGhwf0hWAY/edit?usp=sharing

Regards

On Fri, Feb 9, 2018 at 10:48 AM, Jules Lamur via bitcoin-dev <
[email-masked]> wrote:

> Hello,
>
> With two student colleagues of mine (Denis HODZHADZHIKOV,
> Kim-Son PHAM), we are developping a mining pool as an
> academic work.
>
> Currently, most of our work is reverse engineering on existing
> implementations of the protocol because of the lack of
> documentation, especially on edge cases.
>
> Our referent professor suggested us to publish a IETF RFC draft
> of the protocol's specification. However, I think a BIP would be
> more appropriate for this.
>
> I've found that the BIP 40 and the BIP 41 were allocated for
> respectively the wire protocol and the mining protocol since
> at least August 2013 (cf.
> https://github.com/bitcoin/bips/commit/e12d37e6639a4acffa2710ddb6cf81
> e74403b2a1).
>
> It seems that nothing has been done since.
>
> Could we (me and my colleagues) start writing a draft for the
> BIP 41 (mining protocol)?
>
> Regards,
> Jules LAMUR.
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>